Hooks:PostHook(WeaponFactoryTweakData, "init", "CavityPartsFix", function(self)

-- Override Fix --
self.wpn_fps_ass_sub2000.override = self.wpn_fps_ass_sub2000.override or {}

-----------------------------------------------------------------------------

-- Fixed the back sight never folded when any sights attached
self.wpn_fps_ass_sub2000.override.wpn_fps_ass_sub2000_b_std = self.wpn_fps_ass_sub2000.override.wpn_fps_ass_sub2000_b_std or {}
self.wpn_fps_ass_sub2000.override.wpn_fps_ass_sub2000_b_std.adds = { "wpn_fps_ass_sub2000_o_back" }

for i, part_id in pairs(self.wpn_fps_ass_sub2000.uses_parts) do
	if self.parts[part_id].type == "sight" and part_id ~= "wpn_fps_ass_sub2000_o_back" then
		self.parts[part_id].forbids = self.parts[part_id].forbids or {}
		table.insert(self.parts[part_id].forbids, "wpn_fps_ass_sub2000_o_back")
	end
end

self.wpn_fps_ass_sub2000.override.wpn_fps_ass_sub2000_o_adapter = self.wpn_fps_ass_sub2000.override.wpn_fps_ass_sub2000_o_adapter or {}
self.wpn_fps_ass_sub2000.override.wpn_fps_ass_sub2000_o_adapter.adds = { "wpn_fps_ass_sub2000_o_back_down" }

-- Fixed the front sight missing on Delabarre Foregrip
self.wpn_fps_ass_sub2000.override.wpn_fps_ass_sub2000_fg_railed = self.wpn_fps_ass_sub2000.override.wpn_fps_ass_sub2000_fg_railed or {}
self.wpn_fps_ass_sub2000.override.wpn_fps_ass_sub2000_fg_railed = {
	adds = { "wpn_fps_ass_sub2000_o_front" },
	forbids = {},
	override = {
		wpn_fps_ass_sub2000_o_front = { a_obj = "a_ofn" }
	}
}

-- Fixed the sight adapter clipped with the suppressor on Tooth Fairy Suppressor
self.wpn_fps_ass_sub2000.override.wpn_fps_ass_sub2000_fg_suppressed = self.wpn_fps_ass_sub2000.override.wpn_fps_ass_sub2000_fg_suppressed or {}
self.wpn_fps_ass_sub2000.override.wpn_fps_ass_sub2000_fg_suppressed.override = self.wpn_fps_ass_sub2000.override.wpn_fps_ass_sub2000_fg_suppressed.override or {}
self.wpn_fps_ass_sub2000.override.wpn_fps_ass_sub2000_fg_suppressed.override = {
	wpn_fps_upg_o_t1micro			= { a_obj = "a_on" },
	wpn_fps_upg_o_docter			= { a_obj = "a_on" },
	wpn_fps_upg_o_cmore				= { a_obj = "a_on" },
	wpn_fps_upg_o_reflex			= { a_obj = "a_on" },
	wpn_fps_upg_o_rx01				= { a_obj = "a_on" },
	wpn_fps_upg_o_eotech_xps	= { a_obj = "a_on" },
	wpn_fps_upg_o_fc1					= { a_obj = "a_on" },
	wpn_fps_upg_o_cs					= { a_obj = "a_on" },
	wpn_fps_upg_o_eotech			= { a_obj = "a_on" },
	wpn_fps_upg_o_rx30				= { a_obj = "a_on" },
	wpn_fps_upg_o_specter			= { a_obj = "a_on" },
	wpn_fps_upg_o_uh					= { a_obj = "a_on" },
	wpn_fps_upg_o_aimpoint		= { a_obj = "a_on" },
	wpn_fps_upg_o_aimpoint_2	= { a_obj = "a_on" },
	wpn_fps_upg_o_acog				= { a_obj = "a_on" },
	wpn_fps_upg_o_spot				= { a_obj = "a_on" },
	wpn_fps_upg_o_bmg					= { a_obj = "a_on" },
	wpn_fps_upg_o_tf90				= { a_obj = "a_on" },
	wpn_fps_upg_o_poe					= { a_obj = "a_on" },
	wpn_fps_ass_sub2000_o_adapter = { a_obj = "a_o_adaptern" },
	wpn_fps_ass_sub2000_body_gen1 = {
		third_unit = "units/pd2_dlc_casino/weapons/wpn_third_ass_sub2000_pts/wpn_third_ass_sub2000_body_gen2",
		unit = "units/pd2_dlc_casino/weapons/wpn_fps_ass_sub2000_pts/wpn_fps_ass_sub2000_body_gen2"
	}
}
end)
